## Package org.irisa.genouest.logol.utils.model

Interface Summary
LogolInterfaceNode: Generic interface for all nodes of the designer

Class Summary
AbstractNode: Base node for the designer.
Commons: General usage functions or constants
EndNode: Termination Node
ForkNode: Fork node, use to manage OR condition
MergeNode: Merge node, used after a Fork node to merge the branches of the OR conditions.
ModelConverter
ModelNode: Model node
RepeatNode: Repeat node
RuleNode: Rule node.
SpacerNode: Spacer node
StartNode: Start node e.g.
VariableNode: Variable or fixed content node
ViewNode: Convert a view node to a logol view

Exception Summary
ModelDefinitionException: Exception raised when decoding a model